Search Hub Global
curl --request GET \
--url https://api.member.dev/api/v1/hubs/{hub_id}/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.member.dev/api/v1/hubs/{hub_id}/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.member.dev/api/v1/hubs/{hub_id}/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"hub_id": "<string>",
"native_id": "<string>",
"body_excerpt": "<string>",
"end_seconds": 123,
"rrf_score": 123,
"snippet": "<string>",
"source_type": "<string>",
"start_seconds": 123,
"title": "<string>"
},
"id": "<string>",
"type": "<string>",
"links": {
"self": "<string>"
},
"meta": {},
"relationships": {}
}
],
"meta": {
"cap": 123,
"has_more": true,
"included_sources": [
"<string>"
],
"is_capped": true,
"pagination": "top_n",
"query": "<string>"
},
"included": [
"<unknown>"
],
"links": {
"next": "<string>",
"self": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}API Reference
Search Hub Global
Federated global/spotlight search across community, media, and member silos.
GET
/
api
/
v1
/
hubs
/
{hub_id}
/
search
Search Hub Global
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required string length:
1 - 500Available options:
all, files, media, discussions, comments, members Required range:
1 <= x <= 100Response
Successful Response
⌘I